Bug 7485 - Cannot edit barcode on Fast Add
Summary: Cannot edit barcode on Fast Add
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: P1 - high critical (vote)
Assignee: Galen Charlton
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-31 17:07 UTC by Liz Rea
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7485 - Cannot edit barcode on Fast Add (1.90 KB, patch)
2012-03-27 16:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7485 - Cannot edit barcode on Fast Add (1.41 KB, patch)
2012-03-27 16:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7485 - Cannot edit barcode on Fast Add (1.58 KB, patch)
2012-03-27 18:04 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2012-01-31 17:07:48 UTC
When new records use the fast add/ill framework, after initially adding an item
record, including its barcode, when you go back to edit the item record, the
barcode field is not editable -- in fact, nothing displays in the barcode
field! (see attached) 

I replicated this behavior using both the Fast Cataloging link under
Circulation, and by starting a new record from the Cataloging module using the
Fast Add framework. 

I was able to temporarily resolve this for one of our libraries by having her
switch the record framework to default.
Comment 1 Albert Oller 2012-02-29 19:28:03 UTC
Two other BWS sites have reported this problem: Marlboro College and Three Rivers.  Looking into cataloguing/addbiblio.pm first.
Comment 2 Kyle M Hall 2012-03-27 16:05:33 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2012-03-27 16:07:17 UTC Comment hidden (obsolete)
Comment 4 Liz Rea 2012-03-27 18:04:25 UTC
Created attachment 8653 [details] [review]
Bug 7485 - Cannot edit barcode on Fast Add

Simple fix, a special case was added for the fast add framework
in the case that an item was being checked out that had not been
catalogued. In that case, the barcode was being passed as a parameter
through addbiblio.pl to additem.pl.

This barcode param was used to overwrite the existing value, so if
no barcode param was passed ( which is only the case with fast adds
from the circ screen ), the barcode field would appear empty in the
items editor.

This commit causes that special case code to check for an existing
barcode value first, and only use the cgi parameter 'branch' in the
case that there is no existing barcode value.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Editing barcode of fast added item now works. Passes t xt

Recommend this for 3.6 release.
Comment 5 Ian Walls 2012-03-28 16:27:33 UTC
Simple change to a conditional to prevent execution in the cases described.  marking Passed QA.
Comment 6 Paul Poulain 2012-03-29 08:03:12 UTC
patch pushed, and versionned for 3.6, it's a bug, not an ENH
Comment 7 Jared Camins-Esakov 2012-05-09 16:49:36 UTC
This bug will be included in the Koha 3.6.5 release.